Unit tsf87e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, SF87E_p;

function tsf87e: String;

implementation

function tsf87e: String;
var
ITMAX,ITER,IERR :Integer;
A,B,C,Z,S :Extended;
begin
Result := '';  {   }
A := 1.0e0;
B := 1.0e0;
C := 1.0e0;
Z := 0.5e0;
ITMAX := 100;
SF87E(A,B,C,Z,ITMAX,S,ITER,IERR);
Result := Result + Format('%20.8f ',[S]) + #$0D#$0A;
Result := Result + Format(' %5d %5d ',[ITER,IERR]) + #$0D#$0A;
UtRes('tsf87e',Result);  {     tsf87e.res }
exit;
end;

end.
